<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="windows-1250"/>
	<xsl:param name="maxprice" select="150"/>
	<xsl:template match="/">
		<html><body bgcolor="red">
			<xsl:apply-templates/>			
		</body></html>
	</xsl:template>
	<xsl:template match="book">	
		<xsl:if test="price/text() &lt;= $maxprice">
			author : <xsl:value-of select="author"/><br/>
			title : <xsl:value-of select="title"/><br/>
			price : <xsl:value-of select="price"/><br/><br/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
